# WackAttack.eu

Source and configuration for our public-facing website.


## Structure

This is is a fairly standard Hugo-site, as described in [their docs](https://gohugo.io/getting-started/directory-structure/)

The most important files to edit:

- `content/`
    - `_index.md`: Front page
    - `writeups/pwn/bof.md`: Writeup for the challenge "bof" in the "pwn" category
- `config.toml`: Main config - Themes, menu links, etc.
- `static/`: Files published directly, like logos, js and css
- `layouts/`: Override HTML from the theme, custom partials, etc.


## Running in development

1. Clone the repository *with submodules*
    - `git clone --recursive git@github.com:felixalbrigtsen/wackattack-www.git`
1. [Install hugo](https://gohugo.io/installation/linux/)
1. Edit files as you choose
    - To make new pages, either use the CLI tool (`hugo new content writeups/pwn/bof`) or copy an existing one
1. Run dev server `hugo serve -D` (This also includes pages marked as draft)
1. Test that the site looks OK
    - Light mode
    - Dark mode
    - Mobile
1. Commit and push
1. The changes will be pushed to production automatically when merged into `main`


## Deployment

The site is hosted on GitHub Pages, and will automatically update whenever something is pushed or merged into the main branch.


